---
# pvcapid configuration file example
#
# This configuration file specifies details for the PVC API daemon running on
# this machine. Default values are not supported; the values in this sample
# configuration are considered defaults and can be used as-is.
#
# Copy this example to /etc/pvc/pvcapid.conf and edit to your needs

pvc:
    # debug: Enable/disable API debug mode
    debug: True
    # coordinators: The list of cluster coordinator hostnames
    coordinators:
      - pvchv1
      - pvchv2
      - pvchv3
    # api: Configuration of the API listener
    api:
        # listen_address: IP address(es) to listen on; use 0.0.0.0 for all interfaces
        listen_address: "127.0.0.1"
        # listen_port: TCP port to listen on, usually 7370
        listen_port: "7370"
        # authentication: Authentication and security settings
        authentication:
            # enabled: Enable or disable authentication (True/False)
            enabled: False
            # secret_key: Per-cluster secret key for API cookies; generate with uuidgen or pwgen
            secret_key: ""
            # tokens: a list of authentication tokens; leave as an empty list to disable authentication
            tokens:
                  # description: token description for management
                - description: "testing"
                  # token: random token for authentication; generate with uuidgen or pwgen
                  token: ""
        # ssl: SSL configuration
        ssl:
            # enabled: Enabled or disable SSL operation (True/False)
            enabled: False
            # cert_file: SSL certificate file
            cert_file: ""
            # key_file: SSL certificate key file
            key_file: ""
    # provisioner: Configuration of the Provisioner API listener
    provisioner:
        # database: Backend database configuration
        database:
            # host: PostgreSQL hostname, usually 'localhost'
            host: localhost
            # port: PostgreSQL port, invariably '5432'
            port: 5432
            # name: PostgreSQL database name, invariably 'pvcapi'
            name: pvcapi
            # user: PostgreSQL username, invariable 'pvcapi'
            user: pvcapi
            # pass: PostgreSQL user password, randomly generated
            pass: pvcapi
        # queue: Celery backend queue using the PVC Zookeeper cluster
        queue:
            # host: Redis hostname, usually 'localhost'
            host: localhost
            # port: Redis port, invariably '6279'
            port: 6379
            # path: Redis queue path, invariably '/0'
            path: /0
        # ceph_cluster: Information about the Ceph storage cluster
        ceph_cluster:
            # storage_hosts: The list of hosts that the Ceph monitors are valid on; if empty (the default),
            #                uses the list of coordinators
            storage_hosts:
              - pvchv1
              - pvchv2
              - pvchv3
            # storage_domain: The storage domain name, concatenated with the coordinators list names
            #                 to form monitor access strings
            storage_domain: "pvc.storage"
            # ceph_monitor_port: The port that the Ceph monitor on each coordinator listens on
            ceph_monitor_port: 6789
            # ceph_storage_secret_uuid: Libvirt secret UUID for Ceph storage access
            ceph_storage_secret_uuid: ""
